/*
*
*
*		The public Color Picker Component messages and routines.
*
*		Created by: Shannon Holland
*		Copyright:	 1991-1992 by Apple Computer, Inc., all rights reserved.
*
*	History:
*		10-13-91	SAH		Created this file.
*
*/

#include <Components.h>


#define		kPickerComponentType		'cpkr'


/*	the messages a picker is sent */

typedef enum
{
	kInitPicker,
	kTestGraphicsWorld,
	kGetDialog,
	kGetItemList,
	kGetColor,
	kSetColor,
	kEvent,
	kEdit,
	kSetVisibility,
	kDrawPicker,
	kItemHit,
	kSetBaseItem,
	kGetProfile,
	kSetProfile,
	kGetPrompt,
	kSetPrompt,
	kGetIconData,
	kGetEditMenuState,
	kSetOrigin,
	kExtractHelpItem
} PickerMessages;

/* and now, their corresponding interfaces */

pascal long InitPicker(ComponentInstance thePicker,PickerInitData *data);

pascal DialogPtr GetDialog(ComponentInstance thePicker);

pascal long TestGraphicsWorld(ComponentInstance thePicker,PickerInitData *data);

pascal long GetTheColor(ComponentInstance thePicker,ColorType whichColor,PMColorPtr color);

pascal long SetTheColor(ComponentInstance thePicker,ColorType whichColor,PMColorPtr color);

pascal long DoEvent(ComponentInstance thePicker,EventData *data);

pascal long DoEdit(ComponentInstance thePicker,EditData *data);

pascal long SetVisibility(ComponentInstance thePicker,Boolean visible);

pascal long DisplayPicker(ComponentInstance thePicker);

pascal long ItemHit(ComponentInstance thePicker,ItemHitData *data);

pascal long GetItemList(ComponentInstance thePicker);

pascal long SetBaseItem(ComponentInstance thePicker,short baseItem);

pascal CMProfileHandle GetTheProfile(ComponentInstance thePicker);

pascal long SetTheProfile(ComponentInstance thePicker,CMProfileHandle profile);

pascal long GetPrompt(ComponentInstance thePicker,Str255 prompt);

pascal long SetPrompt(ComponentInstance thePicker,Str255 prompt);

pascal long GetIconData(ComponentInstance thePicker,PickerIconData *data);

pascal long GetEditMenuState(ComponentInstance thePicker,MenuState *mState);

pascal long SetTheOrigin(ComponentInstance thePicker,Point where);

pascal long ExtractHelpItem(ComponentInstance thePicker,short itemNo,short whichMsg,HelpItemInfo *helpInfo);