/*
	File:		LowerToUpperCaseScrap.r 

	Contains:	Resources for LowerToUpperCase scrap translator
	
	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
*/

#include "Types.r"
#include "MixedMode.r"
#include "TranslationExtensions.h"

//___________________________________________________________________________________________________________
//
// Happy constants
//
#define kSignature 				'M&Ms'
#define kComponentFileType		'thng'
#define componentLocalID		0
#define componentResID			130
#define genericExtensionIcon	-16415

//___________________________________________________________________________________________________________
//
// The 'xlat' resource is a fat safe resource containing both 68K and PowerPC code.
//
#define uppComponentRoutineProcInfo	0x03F0

type 'xlat' as 'sdes';

resource 'xlat' (128) {
	uppComponentRoutineProcInfo,									// 68K ProcInfo
	uppComponentRoutineProcInfo,									// PowerPC ProcInfo
	$$Resource(":Objects:LowerToUpperCaseScrap.68K", 'xlat', 128),	// Specify name, type, and ID of resource
																	//   containing 68k code
	$$Resource(":Objects:LowerToUpperCaseScrap.pef", 'xlat', 128)	// Specify name, type, and ID of resource
																	//   containing a pef container
};

//___________________________________________________________________________________________________________
//
// Tell the Component Manager about this component
//
resource 'thng' (128, locked) {
	'xlat',
	0,
	kSignature,
	kSupportsScrapTranslation,	
	0,
	'xlat',128,
	'STR ',128,
	'STR ',129,
	'ICON',128
};

resource 'STR ' (128, purgeable) {
	"LowerToUpperCaseScrap"
};

resource 'STR ' (129, purgeable) {
	"Lower To Upper Case Scrap Translators"
};

resource 'ICON' (128, purgeable) {
	$"7FE0 07FE 8040 0201 8080 0101 807F FE01"
	$"8000 0001 8000 0001 8000 3FF9 8000 1009"
	$"8000 0809 8002 1009 8005 A009 8008 4409"
	$"8010 2209 8020 1109 8044 0829 8882 0459"
	$"8F19 9989 8844 2201 8820 4401 8811 8801"
	$"8802 5001 8804 2001 8808 0001 8804 0001"
	$"8FFE 0001 8000 0001 8000 0001 8000 0001"
	$"7FF0 0FFE 0020 0400 0040 0200 003F FC",
};


//___________________________________________________________________________________________________________
//
// Finder information
//
resource 'BNDL' (128) {
	kSignature,
	0,
	{
		'FREF',
		{
			componentLocalID, componentResID
		},
		'ICN#',
		{
			componentLocalID, genericExtensionIcon
		}
	}
};


data kSignature (0) {
	$"00"                 
};

resource 'FREF' (componentResID, purgeable) {
	kComponentFileType,
	componentLocalID,
	""
};
